Subject: Re: bug#756: bluealsa only comes with systemd service and as such is unusable on devuan

From: Klaus Ethgen <[email-masked]>
Date: Mon, 24 Apr 2023 13:28:45 +0100

Hi,

Am Mo den  3. Apr 2023 um 16:43 schrieb Mark Hindley:
> On Mon, Apr 03, 2023 at 04:20:06PM +0100, Mark Hindley wrote:
> > A quick look at the package suggests that legacy DBus activation might work as
> > well.
> 
> Does adding /usr/share/dbus-1/system-services/org.bluealsa.service containing
> 
> [D-BUS Service]
> Name=org.bluealsa
> Exec=/usr/bin/bluealsa -p a2dp-source -p a2dp-sink
> User=root
> 
> and reloading the system dbus fix this?

No, doesn't work.

First, the profile hsp-ag must be in the activated list. But then, with
that service, it doesn't work but manually started works. (There is also
no such thing as a2dp-sink but it does not harm to have it in line.)

I found other thinks in the system-services. They all have
SystemService=... but I don't know what to include here.

However, when I start it *manually*, there is the following devices:
~> bluealsa-aplay -L
bluealsa:SRV=org.bluealsa,DEV=00:16:94:17:D1:0B,PROFILE=sco
    PXC 550, trusted audio-headset, playback
    SCO (CVSD): S16_LE 1 channel 8000 Hz
bluealsa:SRV=org.bluealsa,DEV=00:16:94:17:D1:0B,PROFILE=sco
    PXC 550, trusted audio-headset, capture
    SCO (CVSD): S16_LE 1 channel 8000 Hz
bluealsa:SRV=org.bluealsa,DEV=00:16:94:17:D1:0B,PROFILE=a2dp
    PXC 550, trusted audio-headset, playback
    A2DP (SBC): S16_LE 2 channels 48000 Hz
~> bluealsa-aplay -l
**** List of PLAYBACK Bluetooth Devices ****
hci0: 00:16:94:17:D1:0B [PXC 550], trusted audio-headset
  SCO (CVSD): S16_LE 1 channel 8000 Hz
  A2DP (SBC): S16_LE 2 channels 48000 Hz
**** List of CAPTURE Bluetooth Devices ****
hci0: 00:16:94:17:D1:0B [PXC 550], trusted audio-headset
  SCO (CVSD): S16_LE 1 channel 8000 Hz

So, there seems to be no other method as to start it as a daemon.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C